StartupEvents.registry('fluid', e => {
	// improved energetic progression
	e.create('destabilized_grist')
		.displayName('Destabilized Grist')
		.bucketColor('#cb0dff')
		.thickTexture('#cb0dff');

	// radiant build progression
	e.create('grist_alloy_fluid')
		.displayName('Liquid Grist Alloy')
		.bucketColor('#cb0dff')
		.thickTexture('#cb0dff');
});

StartupEvents.registry('item', e => {
	e.create('grist_essence').displayName('Grist Essence').rarity('rare');

	// Intelligent progress
	// Basic
	e.create('insightful_tincture').displayName('Insightful Tincture').rarity('rare').textureJson({layer0:'minecraft:item/redstone_dust'}).color(0, Grist.of('build', 'basic').color());
	e.create('insightful_blend').displayName('Insightful Blend').rarity('rare').textureJson({layer0:'minecraft:item/lapis_lazuli'}).color(0, Grist.of('build', 'basic').color());
	e.create('sacred_flesh').displayName('Sacred Flesh').rarity('rare').textureJson({layer0:'minecraft:item/rotten_flesh'}).color(0, Grist.of('build', 'basic').color());

	// Improved
	e.create('intelligent_focus').displayName('Intelligent Focus').rarity('rare').textureJson({layer0: 'malloc:item/intelligent_focus'});
	e.create('sapient_focus').displayName('Sapient Focus').rarity('rare').textureJson({layer0: 'malloc:item/sapient_focus'});
	e.create('imbued_source_gem').displayName('Imbued Source Gem').rarity('rare').textureJson({layer0: 'ars_nouveau:item/source_gem'}).color(0, Grist.of('intelligent', 'improved').color());
	e.create('intelligent_catalyst').displayName('Intelligent Catalyst').rarity('rare').textureJson({layer0: 'malloc:item/intelligent_catalyst'});

	// Radiant
	e.create('intelligent_processor').displayName('Intelligent Processor').rarity('rare').texture('malloc:item/intelligent_processor');
	e.create('raw_intelligent_processor').displayName('Raw Intelligent Processor').rarity('rare').texture('malloc:item/raw_intelligent_processor');
	e.create('deep_intelligent_processor').displayName('Deep Intelligent Processor').rarity('rare').texture('malloc:item/deep_intelligent_processor');
	e.create('raw_deep_intelligent_processor').displayName('Deep Raw Intelligent Processor').rarity('rare').texture('malloc:item/raw_deep_intelligent_processor');

	// Energetic progression
	// Basic
	e.create('grist_paste').displayName('Gristy Paste').rarity('rare').textureJson({layer0:'minecraft:item/redstone'}).color(0, Grist.of('energetic', 'basic').color());

	// Improved
	e.create('unstable_grist_capacitor').displayName('Unstable Grist Capacitor').rarity('rare').textureJson({layer0:'thermal:item/rf_coil'}).color(0, Grist.of('energetic', 'improved').color());
	e.create('infused_grist_capacitor').displayName('Infused Grist Capacitor').rarity('rare').textureJson({layer0:'thermal:item/rf_coil'}).color(0, Grist.of('energetic', 'improved').color());
	e.create('activated_grist_capacitor').displayName('Activated Grist Capacitor').rarity('rare').textureJson({layer0:'thermal:item/rf_coil'}).color(0, Grist.of('energetic', 'improved').color());
	e.create('inert_grist_nugget').displayName('Inert Grist Nugget').rarity('rare').textureJson({layer0:'minecraft:item/iron_nugget'}).color(0, Grist.of('energetic', 'improved').color());

	// Radiant

	// Agricultural progression
	// Basic
	e.create('grist_chutney').displayName('Grist Chutney').rarity('rare').textureJson({layer0: 'croptopia:item/butter'}).color(0, Grist.of('agricultural', 'basic').color());

	// Improved
	e.create('spiced_grist_blend').displayName('Spiced Grist Blend').rarity('rare').textureJson({layer0: 'caupona:item/sugar_spice_jar'}).color(0, Grist.of('agricultural', 'improved').color());
	e.create('grist_morsels').displayName('Grist Morsels').rarity('rare').textureJson({layer0: 'caupona:item/sugar_spice_jar'}).color(0, Grist.of('agricultural', 'improved').color());
	e.create('grist_treats').displayName('Gristy Treats').rarity('rare').textureJson({layer0: 'caupona:item/sugar_spice_jar'}).color(0, Grist.of('agricultural', 'improved').color());

	// Radiant

	// Build progression
	// Basic
	e.create('coarse_grist_aggregate').displayName('Coarse Grist Aggregate').rarity('rare').textureJson({layer0: 'minecraft:item/iron_nugget'}).color(0, Grist.of('build', 'basic').color());
	e.create('reduced_grist_aggregate').displayName('Reduced Grist Aggregate').rarity('rare').textureJson({layer0: 'minecraft:item/iron_nugget'}).color(0, Grist.of('build', 'basic').color());
	e.create('refined_grist_aggregate').displayName('Refined Grist Aggregate').rarity('rare').textureJson({layer0: 'minecraft:item/iron_nugget'}).color(0, Grist.of('build', 'basic').color());
	e.create('heavy_duty_gear_die').displayName('Heavy Duty Gear Die').textureJson({layer0: 'thermal:item/press_gear_die'}).color(0, Grist.of('build', 'improved').color());

	// Improved
	e.create('reinforced_grist_ingot').displayName('Reinforced Grist').rarity('rare').textureJson({layer0: 'minecraft:item/iron_ingot'}).color(0, Grist.of('build', 'improved').color());
	e.create('reinforced_grist_nugget').displayName('Reinforced Grist Nugget').rarity('rare').textureJson({layer0: 'minecraft:item/iron_nugget'}).color(0, Grist.of('build', 'improved').color());
	e.create('reinforced_grist_blend').displayName('Reinforced Grist Blend').rarity('rare').textureJson({layer0: 'minecraft:item/redstone'}).color(0, Grist.of('build', 'improved').color());

	// Radiant
	e.create('grist_crucible');
	e.create('grist_crucible_filled');
	e.create('grist_crucible_hot');
	e.create('tempered_grist_alloy_ingot');
	e.create('tempered_grist_alloy_nugget');
	e.create('perfect_grist_alloy_ingot');
	e.create('perfect_grist_alloy_nugget');
	e.create('flawed_grist_alloy_ingot');
	e.create('flawed_grist_alloy_nugget');
});